function xx = transformace(vstup,tr)
% přepínání mezi druhy transformace svodů u zdrojových kódů by měli být
% mat soubory obsahující hodnoty transformačních matic
switch tr
    case 'dower'
        load dower; % načtení transformační matice
        xx = dower*vstup; % transformace svodů
    case 'dawson'
        load dawsonHC; % načtení transformační matice
        xx = dawsonHC*vstup; % transformace svodů
    case 'dawsonmi'
        load dawsonMI; % načtení transformační matice
        xx = dawsonMI*vstup; % transformace svodů   
    case 'prumCSE'
        load prumCSE; % načtení transformační matice
        xx = prumCSE*vstup; % transformace svodů
end